diff --git a/bin/backstop b/bin/backstop
index 9ceef1ecf549697e4812580776c7b200ea617c39..e42eec01787344af507ce4dc98ad073734e5e627 100755
--- a/bin/backstop
+++ b/bin/backstop
@@ -3,3 +3,6 @@
 export $(cat .env | xargs)
 cd tests/backstop
 docker run --rm -t -v $(php /usr/local/bin/volume.php) -w $PWD --network=traefik_${COMPOSE_PROJECT_NAME} backstopjs/backstopjs "$@"
+EC=$?
+
+exit $EC
diff --git a/bin/docker-compose b/bin/docker-compose
index 9efcf2e53269fc81fa638c5577d274fb72cee98c..19297e91f61bd8bddd2b9640d8fd21ccd9101c68 100755
--- a/bin/docker-compose
+++ b/bin/docker-compose
@@ -1,3 +1,6 @@
 #!/bin/bash
 
 docker compose "$@"
+EC=$?
+
+exit $EC
diff --git a/bin/drush b/bin/drush
index 532197553944ab5f706824a0c2465645c4729d86..a945acc36b8c0ed8fad6ea0d1556afee36b257fd 100755
--- a/bin/drush
+++ b/bin/drush
@@ -5,6 +5,7 @@ function setPermissions {
 }
 
 docker compose exec ${LAKEDROPS_DEV_DC_OPTIONS} php drush "$@"
+EC=$?
 
 if [[ "$1" == "gen" ]]; then
   setPermissions
@@ -12,3 +13,5 @@ fi
 if [[ "$1" == "generate" ]]; then
   setPermissions
 fi
+
+exit $EC
diff --git a/bin/node_cmd b/bin/node_cmd
index 69d8e11165813b67db55ad2750502087a75966ee..66cd7892e0fa59158b9b32f10df64a5780dd8282 100755
--- a/bin/node_cmd
+++ b/bin/node_cmd
@@ -1,5 +1,7 @@
 #!/bin/bash
 
+set -e
+
 if [[ -z "$NODE_VERSION" ]]; then
   NODE_VERSION=12-stretch-slim
 fi
@@ -40,3 +42,6 @@ else
     registry.lakedrops.com/docker/node:${NODE_VERSION} >/dev/null
 fi
 docker exec -it -w ${PWD} ${NAME} ${NODE_CMD} "$@"
+EC=$?
+
+exit $EC
diff --git a/bin/phpstan b/bin/phpstan
index 26807077f740a6880b08a3839084780e56544243..7df234353e24ae909fdec295a5d84cec7b607af4 100755
--- a/bin/phpstan
+++ b/bin/phpstan
@@ -2,3 +2,6 @@
 
 export $(cat .env | xargs)
 docker run --rm -v $(php /usr/local/bin/volume.php /app) phpstan/phpstan "$@"
+EC=$?
+
+exit $EC
diff --git a/bin/rector b/bin/rector
index 8353ee626fe029043abd6ac9e1cec1f303513d75..0196210b712abcf5c658e8c4908a66d28045eab0 100755
--- a/bin/rector
+++ b/bin/rector
@@ -1,3 +1,6 @@
 #!/bin/bash
 
 docker compose exec ${LAKEDROPS_DEV_DC_OPTIONS} php /var/www/html/vendor/bin/rector "$@"
+EC=$?
+
+exit $EC